Skip to main content

NOPEER Community for Border Gateway Protocol (BGP) Route Scope Control
draft-ietf-ptomaine-nopeer-03

Revision differences

Document history

Date Rev. By Action
2004-04-14
03 (System) Ballot writeup text was added
2004-04-14
03 (System) Ballot approval text was added
2004-01-02
03 Bert Wijnen Shepherding AD has been changed to Bert Wijnen from Randy Bush
2003-07-14
03 Barbara Fuller State Changes to RFC Ed Queue from Approved-announcement sent by Fuller, Barbara
2003-06-02
03 Michael Lee State Changes to Approved-announcement sent from Approved-announcement to be sent by Lee, Michael
2003-05-29
03 Randy Bush
Date: Fri, 30 May 2003 06:54:28 +1000
To: randy Bush
From: Geoff Huston
Subject: draft-ietf-ptomaine-nopeer-03.txt
Cc: dmm@maoz.com

Randy,

The IESG internet draft tracker has a …
Date: Fri, 30 May 2003 06:54:28 +1000
To: randy Bush
From: Geoff Huston
Subject: draft-ietf-ptomaine-nopeer-03.txt
Cc: dmm@maoz.com

Randy,

The IESG internet draft tracker has a status for this draft indicating that
a revised id is required,
with the latest IESG note dated 29th April.

This note is to let you know that a revised ID (03) was posted on the 13th
May that addresses the comments raised during IESG evaluation of this draft.

regards,

    Geoff
2003-05-29
03 Randy Bush State Changes to Approved-announcement to be sent from IESG Evaluation by Bush, Randy
2003-05-13
03 (System) New version available: draft-ietf-ptomaine-nopeer-03.txt
2003-04-29
03 Randy Bush State Changes to IESG Evaluation  :: Revised ID Needed from IESG Evaluation by Bush, Randy
2003-04-28
03 Randy Bush
The doc still talks about
'well-known transitive' communities, e.g.:

> 4. IANA considerations
>
>      The IANA should register NOPEER as a new …
The doc still talks about
'well-known transitive' communities, e.g.:

> 4. IANA considerations
>
>      The IANA should register NOPEER as a new BGP well-known transitive
>      community field.


And no ref to the communities spec:

> References
>
>      [1] "The Internet Standards Process -- Revision 3", S. Bradner, RFC
>          2026, October 1996.
>
>      [2] "Commentary in Inter-Domain Routing in the Internet", G. Huston,
>          RFC 3221, December 2001.
>
>      [3] Analysis of BGP table data - http://bgp.potaroo.net

Alex
2003-04-28
03 Randy Bush State Changes to IESG Evaluation from RFC Ed Queue by Bush, Randy
2003-04-24
03 Natalia Syracuse State Changes to RFC Ed Queue from Approved-announcement sent by Syracuse, Natalia
2003-04-23
03 Jacqueline Hargest State Changes to Approved-announcement sent from Approved-announcement to be sent by Hargest, Jacqueline
2003-04-22
03 Jacqueline Hargest State Changes to Approved-announcement to be sent from IESG Evaluation  :: AD Followup by Hargest, Jacqueline
2003-04-20
03 (System) IESG has approved the document
2003-04-15
03 Randy Bush fenner holds a discuss, i will try to sort it out
2003-04-15
03 Randy Bush State Changes to IESG Evaluation  :: AD Followup from Approved-announcement to be sent by Bush, Randy
2003-02-21
02 (System) New version available: draft-ietf-ptomaine-nopeer-02.txt
2003-02-20
03 Randy Bush -02 ok from smb and sob.  would be nice if one last 'proposal' became 'document'
2003-02-20
03 Randy Bush State Changes to Approved-announcement to be sent from IESG Evaluation  :: Revised ID Needed by Bush, Randy
2003-02-20
03 Randy Bush
BGP by allowing the potential for
^man-in-the-middle, session-hijacking, or^
denial of service...
2003-02-20
03 Randy Bush
> my issue can be cleared with the following (conceptual) RFC Ed note
>
> dear RFC Ed please
>
>    s/2. Proposal/2. NOPEER …
> my issue can be cleared with the following (conceptual) RFC Ed note
>
> dear RFC Ed please
>
>    s/2. Proposal/2. NOPEER attribute/
>    s/The proposal/This memo/
>    s/The approach proposed here/The approach descibed here/
>    (I may have missed a few)
>
>    change Security considerations to
>
>    "The IANA should register NOPEER as a new BGP well-known
>    transitive community field"
2003-02-18
01 (System) New version available: draft-ietf-ptomaine-nopeer-01.txt
2003-02-17
03 Randy Bush author agrees to go for info as there is not wide documented deployment

author will revise sec cons per ops-dir discussion
2003-02-17
03 Randy Bush Intended Status has been changed to Informational from BCP
2003-02-17
03 Randy Bush State Changes to IESG Evaluation  :: Revised ID Needed from IESG Evaluation by Bush, Randy
2003-02-16
03 Randy Bush
From: Randy Bush
Date: Sun, 16 Feb 2003 15:07:29 -0800
To: Geoff Huston 
Subject: nopeer draft

it is coming up on the iesg agenda.  there …
From: Randy Bush
Date: Sun, 16 Feb 2003 15:07:29 -0800
To: Geoff Huston 
Subject: nopeer draft

it is coming up on the iesg agenda.  there were no last call comments
of note, but an ops-dir reviewer has the following comments, which seem
worth a revision.

---

    From the WG meeting in Atlanta there was basically two issues
    that was pointed out that I would agree with. It's hard to
    claim this as BCP as it's not implemented anywhere. OTH, I
    don't really see this as a show stopper.

    Second issue was the security considerations section. However
    as was pointed out then, this is not NOPEER specific.

---

perhaps we should move it as info and then advance it when folk
have actually used it seriously?

and maybe you could augment the sec cons?

randy
2002-11-12
03 Jacqueline Hargest State Changes to IESG Evaluation from In Last Call by Hargest, Jacqueline
2002-11-03
03 Stephen Coya Due date has been changed to 2002-11-17 from 
by Coya, Steve
2002-11-03
03 Stephen Coya State Changes to In Last Call from Last Call Requested by Coya, Steve
2002-11-03
03 Randy Bush Intended Status has been changed to BCP from None
2002-11-03
03 Randy Bush State Changes to Last Call Requested from AD is watching by Bush, Randy
2002-11-03
03 (System) Last call sent
2002-10-30
03 Randy Bush State Changes to AD is watching from Publication Requested by Bush, Randy
2002-07-17
03 Randy Bush wg last call issued
2002-07-17
03 Randy Bush Draft Added by randy
2002-04-03
00 (System) New version available: draft-ietf-ptomaine-nopeer-00.txt